using System.Windows.Forms;

namespace gate_gui {

  public partial class Form1 : Form, Gate.Context {

    public Form1() {
      InitializeComponent();
      machine.Start(this);
      textState.Text = machine.CurrentState.Name;
    }

    private void buttonCoin_Click(object sender, System.EventArgs e) {
      machine.Coin(this);
      textState.Text = machine.CurrentState.Name;
    }

    private void buttonPass_Click(object sender, System.EventArgs e) {
      machine.Pass(this);
      textState.Text = machine.CurrentState.Name;
    }

    private Gate.StateMachine machine = new Gate.StateMachine();

    public void Error(Gate.StateCode s, Gate.EventCode e) {}
    public bool Confirm() { 
      return MessageBox.Show("{ł?", "RC", MessageBoxButtons.YesNo) == DialogResult.Yes; 
    }
    public void Lock()     { textAction.Text = "Q[g܂"; }
    public void Unlock()   { textAction.Text = "Q[gJ܂"; }
    public void Alarm()    { textAction.Text = "R!";            }
    public void ThankYou() { textAction.Text = "x股";       }

  }

}
