using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace gate_gui_handcode {
  public partial class Form1 : Form {
    public Form1() {
      InitializeComponent();
      textState.Text = state_.ToString();
    }

    private enum State { Close, Open }
    private State state_ = State.Close;

    private void buttonCoin_Click(object sender, EventArgs e) {
      switch ( state_ ) {
      case State.Close: 
        if ( MessageBox.Show("{ł?", "RC", MessageBoxButtons.YesNo ) == DialogResult.Yes ) {
          textAction.Text = "Q[gJ܂";
          state_ = State.Open;
        }
        break;
      case State.Open:
        textAction.Text = "x股";
        break;
      }
      textState.Text = state_.ToString();
    }

    private void buttonPass_Click(object sender, EventArgs e) {
      switch ( state_ ) {
      case State.Close: 
        textAction.Text = "R!";
        break;
      case State.Open:
        textAction.Text = "Q[g܂";
        state_ = State.Close;
        break;
      }
      textState.Text = state_.ToString();
    }
  }
}