using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace gate_gui_handcode2 {
  public partial class Form1 : Form, Gate.Context {
    public Form1() {
      InitializeComponent();
      textState.Text = machine_.Current.ToString();
    }

    // implements Context
    public bool Confirm() {
      return MessageBox.Show("{ł?","RC", MessageBoxButtons.YesNo) == DialogResult.Yes;
    }
    public void Lock()     { textAction.Text = "Q[g܂"; }
    public void Unlock()   { textAction.Text = "Q[gJ܂"; }
    public void Alarm()    { textAction.Text = "R!"; }
    public void ThankYou() { textAction.Text = "x股"; }

    private Gate.StateMachine machine_ = new Gate.StateMachine();

    private void buttonCoin_Click(object sender, EventArgs e) {
      machine_.Coin(this);
      textState.Text = machine_.Current.ToString();
    }

    private void buttonPass_Click(object sender, EventArgs e) {
      machine_.Pass(this);
      textState.Text = machine_.Current.ToString();
    }
  }
}